﻿using MySql.Data.MySqlClient;
using System;
using System.Transactions;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] _)
        {
            try
            {
                string connectionString = "server=;user=;password=";
                MySqlConnection TheConnection = new MySqlConnection(connectionString);

                TheConnection.Open();
                Console.WriteLine("Connection opened successfully");

                using (TransactionScope transactionScope = new TransactionScope())
                {
                    TheConnection.EnlistTransaction(Transaction.Current);

                    Console.WriteLine("Success");

                    transactionScope.Complete();
                }

                TheConnection.Close();
            }
            catch (Exception exception)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine(exception.Message);
                Console.ForegroundColor = ConsoleColor.Gray;
            }
        }
    }
}
